## python-georss-client 0.17

=== requirements.txt ===
haversine>=2.8.1
xmltodict>=0.13.0
requests>=2.31.0
dateparser>=1.2.0

=== debian/changelog ===
python-georss-client (0.17-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 31 Jul 2024 16:33:06 +0900

python-georss-client (0.17-1) unstable; urgency=medium

  * Initial release. (Closes: #1077236)

 -- Edward Betts <edward@4angle.com>  Sat, 27 Jul 2024 16:39:50 +0900

=== debian/control ===
Source: python-georss-client
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-dateparser <!nocheck>,
               python3-haversine <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-pytest-timeout <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-requests <!nocheck>,
               python3-setuptools,
               python3-xmltodict <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/exxamalte/python-georss-client
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/PACKAGE
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/PACKAGE.git

Package: python3-georss-client
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python GeoRSS client library
 This library provides tools to build concrete libraries for convenient access
 to GeoRSS Feeds. It enables users to extract relevant information from various
 GeoRSS feeds, which may contain different levels of information or present
 their data in unique ways. This includes feed managers that help manage
 updates over time, notifying the consumer about new entries, updates, and
 removed entries. The library ensures efficient data retrieval and management
 from GeoRSS feeds, providing structured data for further processing.

=== debian/tests/control ===
Tests: run-tests
Depends: python3-all,
         python3-pytest,
         python3-pytest-timeout,
         python3-pytest-xdist,
         @

## python-georss-client 0.18

=== debian/changelog ===
python-georss-client (0.18-1) unstable; urgency=medium

  * New upstream release.
  * Move packages required for tests to Build-Depends-Indep.
  * Add pybuild-plugin-pyproject to Build-Depends.

 -- Edward Betts <edward@4angle.com>  Sat, 09 Nov 2024 09:43:06 +0000

=== debian/control ===
Source: python-georss-client
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-dateparser <!nocheck>,
 python3-haversine <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-timeout <!nocheck>,
 python3-pytest-xdist <!nocheck>,
 python3-requests <!nocheck>,
 python3-xmltodict <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/exxamalte/python-georss-client
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/PACKAGE
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/PACKAGE.git

Package: python3-georss-client
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python GeoRSS client library
 This library provides tools to build concrete libraries for convenient access
 to GeoRSS Feeds. It enables users to extract relevant information from various
 GeoRSS feeds, which may contain different levels of information or present
 their data in unique ways. This includes feed managers that help manage
 updates over time, notifying the consumer about new entries, updates, and
 removed entries. The library ensures efficient data retrieval and management
 from GeoRSS feeds, providing structured data for further processing.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=georss-client
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=--no-cov

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf georss_client.egg-info/

=== debian/tests/control ===
Tests:
 run-tests,
Depends:
 python3-all,
 python3-pytest,
 python3-pytest-timeout,
 python3-pytest-xdist,
 @,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-georss-client-$1\.tar\.gz/ \
  https://github.com/exxamalte/python-georss-client/tags .*/v?(\d\S+)\.tar\.gz

## python-georss-client 0.19

=== debian/changelog ===
python-georss-client (0.19-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Fix incorrect URLs in Vcs-Browser and Vcs-Git.
  * Update Standards-Version.
  * Update copyright year.
  * Update debian/watch to format version 5.
  * Simplify debian/rules.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Mon, 22 Dec 2025 13:49:35 +0000

=== debian/control ===
--- 
+++ 
@@ -19,11 +19,11 @@
  python3-pytest-xdist <!nocheck>,
  python3-requests <!nocheck>,
  python3-xmltodict <!nocheck>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/exxamalte/python-georss-client
-Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/PACKAGE
-Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/PACKAGE.git
+Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-georss-client
+Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-georss-client.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-georss-client
 Architecture: all

=== debian/watch ===
Version: 5

Template: Github
Owner: exxamalte
Project: python-georss-client
